# NixOS - Knossos

My test system.

## Goals
- Learn Nix.
- Attempt to make homelab, a la [Yunohost](https://yunohost.org/)[^1]...but declarative, reproducable
- Try to avoid Docker

## Tasks
- [X] ZFS for root file system
- [X] Tailscale
- [X] VPS Caddy reverse proxy --> NixOS machine
- [X] Setup Jellyfin
- [X] Setup calibre-web
- [ ] Setup Transmission
- [ ] Setup Nextcloud
- [ ] Setup systemwide auth system - LDAP? OAuth?

## System Information
```
          ▗▄▄▄       ▗▄▄▄▄    ▄▄▄▖             tootbrute@knossos
          ▜███▙       ▜███▙  ▟███▛             -------------
           ▜███▙       ▜███▙▟███▛              OS: NixOS 24.11 (Vicuna) x86_64
            ▜███▙       ▜██████▛               Host: 10115 (IdeaCenter Q190)
     ▟█████████████████▙ ▜████▛     ▟▙         Kernel: Linux 6.6.84
    ▟███████████████████▙ ▜███▙    ▟██▙        Uptime: 20 hours, 42 mins
           ▄▄▄▄▖           ▜███▙  ▟███▛        Packages: 621 (nix-system)
          ▟███▛             ▜██▛ ▟███▛         Shell: bash 5.2.37
         ▟███▛               ▜▛ ▟███▛          Terminal: /dev/pts/0
▟███████████▛                  ▟██████████▙    CPU: Intel(R) Core(TM) i3-2365M (4) @ 1.40 GHz
▜██████████▛                  ▟███████████▛    GPU: Intel 2nd Generation Core Processor Family Integrated Graphics Controller @ 1.00 GHz [Integrated]
      ▟███▛ ▟▙               ▟███▛             Memory: 4.46 GiB / 7.66 GiB (58%)
     ▟███▛ ▟██▙             ▟███▛              Swap: 0 B / 4.00 GiB (0%)
    ▟███▛  ▜███▙           ▝▀▀▀▀               Disk (/): 2.00 MiB / 888.65 GiB (0%) - zfs
    ▜██▛    ▜███▙ ▜██████████████████▛         Local IP (wlp3s0): 192.168.15.218/24
     ▜▛     ▟████▙ ▜████████████████▛          Locale: en_US.UTF-8
           ▟██████▙       ▜███▙
          ▟███▛▜███▙       ▜███▙                                       
         ▟███▛  ▜███▙       ▜███▙                                      
         ▝▀▀▀    ▀▀▀▀▘       ▀▀▀▘
```

[^1]: No shade on Yunohost. It's a great project and got me into self-hosting. I just want to see if I can spread my wings and fly. Setting up a new Debian server from scratch is kinda annoying. I'd rather not do that again.
